Topic¶
Manage forum topics on your Ning Network
Properties¶
- id (id) [Read only]
- The unique ID for the forum topic
- author (screenname) [Read only]
- The screen name of the member who created the forum topic
- createdDate (date) [Read only]
- The time stamp from the creation date
- updatedDate (date) [Read only]
- The time stamp from the last modification
- featuredDate (date) [Read only]
- When the topic was featured
- url (url) [Read only]
- URL of the blog post
- title (string) [Read only]
- The title of the forum topic
- description (string) [Read only]
- The body of the forum topic
- visibility (visibility) [Read only]
- Can friends see or all members see the forum topic
- commentCount (int) [Read only]
- The number of replies to the forum topic
- tags (string) [Read only]
- A JSON array of tags: { "food", "apple" }
- categoryId (id) [Read only]
- The category this topic belongs to. If the Ning Network doesn’t have categories then this will be an empty value.
- isClosed (boolean) [Read only]
- True if this topic is not open for replies
- private (boolean) [Read only]
- True if this topic is topic is private
Sub-Properties¶
HTTP GET¶
/xn/rest/apiexample/1.0/Topic ¶
Retrieve a specific forum topic or a specific set of topics, up to 100.
/xn/rest/apiexample/1.0/Topic/recent ¶
Retrieve the most recent forum topics sorted by createdDate.
Optional Query Parameters:¶
- category (id)
- Retrieve topics from a specific category
- fields (field)
- Comma-separated list of desired properties, this is only a hint to the server
- anchor (string)
- An opaque token encodes the page of results returned, used in conjunction with count to page through a result set
- count (int)
- Returns one blog post by default and supports a maximum of 100. Also supports negative values down to -100 for retrieving blog posts before the anchor.
/xn/rest/apiexample/1.0/Topic/featured ¶
Retrieve the most recent forum topics sorted by featuredDate.
Optional Query Parameters:¶
- category (id)
- Retrieve topics from a specific category
- fields (field)
- Comma-separated list of desired properties, this is only a hint to the server
- anchor (string)
- An opaque token encodes the page of results returned, used in conjunction with count to page through a result set
- count (int)
- Returns one blog post by default and supports a maximum of 100. Also supports negative values down to -100 for retrieving blog posts before the anchor.
/xn/rest/apiexample/1.0/Topic/alpha ¶
Retrieve the forum topics sorted alphabetically.
Optional Query Parameters:¶
- category (id)
- Retrieve topics from a specific category
- fields (field)
- Comma-separated list of desired properties, this is only a hint to the server
- anchor (string)
- An opaque token encodes the page of results returned, used in conjunction with count to page through a result set
- count (int)
- Returns one blog post by default and supports a maximum of 100. Also supports negative values down to -100 for retrieving blog posts before the anchor.